%define module_name OpusVL-AppKit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/FastMmap.pm) perl(Catalyst/Action/REST.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Authentication/Store/DBIx/Class.pm) perl(Catalyst/Controller/HTML/FormFu.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Catalyst/Plugin/Authentication.pm) perl(Catalyst/Plugin/Authorization/ACL.pm) perl(Catalyst/Plugin/Authorization/Roles.pm) perl(Catalyst/Plugin/Cache.pm) perl(Catalyst/Plugin/ConfigLoader.pm) perl(Catalyst/Plugin/ConfigLoader/Environment.pm) perl(Catalyst/Plugin/CustomErrorMessage.pm) perl(Catalyst/Plugin/Session.pm) perl(Catalyst/Plugin/Session/State/Cookie.pm) perl(Catalyst/Plugin/Session/Store/FastMmap.pm) perl(Catalyst/Plugin/Static/Simple.pm) perl(Catalyst/Plugin/Unicode/Encoding.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/View/Download.pm) perl(Catalyst/View/Email.pm) perl(DateTime/Format/SQLite.pm)
BuildRequires: perl(Catalyst/View/Excel/Template/Plus.pm) perl(Catalyst/View/JSON.pm) perl(Catalyst/View/PDF/Reuse.pm) perl(Catalyst/View/TT.pm) perl(Catalyst/View/TT/Alloy.pm) perl(CatalystX/AppBuilder.pm) perl(CatalystX/Dispatcher/AsGraph.pm) perl(CatalystX/InjectComponent.pm) perl(CatalystX/SimpleLogin.pm) perl(CatalystX/VirtualComponents.pm) perl(Child.pm) perl(Config/General.pm) perl(Crypt/Eksblowfish/Bcrypt.pm) perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/EncodedColumn/Crypt/Eksblowfish/Bcrypt.pm) perl(DBIx/Class/ResultSet.pm) perl(DBIx/Class/Schema.pm) perl(DBIx/Class/TimeStamp.pm) perl(DateTime.pm) perl(Devel/InheritNamespace.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(Getopt/Compact.pm) perl(HTML/FormFu/Constraint.pm) perl(HTML/FormFu/Model/DBIC.pm)
BuildRequires: perl(HTML/FormFu/Validator.pm) perl(HTML/FormHandler/Moose.pm) perl(HTTP/Request/Common.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MRO/Compat.pm) perl(Memoize.pm) perl(Moose.pm) perl(MooseX/MethodAttributes/Role.pm) perl(Net/LDAP.pm) perl(OpusVL/AppKit/Schema/AppKitAuthDB.pm) perl(Plack.pm) perl(Scope/Guard.pm) perl(String/MkPasswd.pm) perl(Template/Alloy.pm) perl(Template/AutoFilter.pm) perl(Template/Plugin/DateTime.pm) perl(Term/ReadKey.pm) perl(Test/DBIx/Class.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/WWW/Mechanize.pm) perl(Test/WWW/Mechanize/Catalyst.pm) perl(Tree/Simple.pm) perl(Tree/Simple/View.pm) perl(Tree/Simple/VisitorFactory.pm) perl(Try/Tiny.pm) perl(XML/Simple.pm) perl(experimental.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.29
Release: alt1
Summary: Catalyst based application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NE/NEWELLC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AppKit is based on the CatalystX::AppBuilder manpage, and includes some modules for
common tasks. The idea is that you produce a thin AppKit application, and stick
multiple modules together.

We recommend the Dist::Zilla manpage to get you started on AppKit. That's because we've
made minting profiles so we don't have to explain how it works.

    $ dzil new -PAppKit MyApp
    $ dzil new -PAppKitX MyApp::AppKitX::NewModularFeature

See the Dist::Zilla::MintingProfile::AppKit manpage and the Dist::Zilla::MintingProfile::AppKitX manpage.

Whenever you mint a new AppKit application, you'll end up with a common set of files:

MyApp.pm:

    package MyApp;
    use strict;
    use warnings;
    use MyApp::Builder;

    our $VERSION='0.001';
    
    my $builder = MyApp::Builder->new(
        appname => __PACKAGE__,
        version => $VERSION
    );
    
    $builder->bootstrap;

    1;

MyApp/Builder.pm:

(see also the Builder entry elsewhere in this document)

    package MyApp::Builder;
    use Moose;
    extends 'OpusVL::AppKit::Builder';
    override _build_superclasses => sub 
    {
        return [ 'OpusVL::AppKit' ]
    };

    override _build_config => sub
    {
        my $self   = shift;
        my $config = super();

        $config->{'Controller::Login'} =
        {
            traits => '+OpusVL::AppKit::TraitFor::Controller::Login::NewSessionIdOnLogin',
        };

        $config->{'View::CMS::Page'}->{AUTO_FILTER} = 'html';

        return $config;
    };

myapp.conf:

    name MyApp

    <Model::CMS>
        connect_info dbi:SQLite:t/db/test.db
        connect_info username
        connect_info password
    </Model::CMS>

    <Model::AppKitAuthDB>
        connect_info dbi:SQLite:t/db/test.db
        connect_info username
        connect_info password
    </Model::AppKitAuthDB>

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README lib/auto/OpusVL/AppKit/root/static/js/wymeditor/skins/silver/COPYING Changes LICENSE
%perl_vendor_privlib/H*
%perl_vendor_privlib/O*
%perl_vendor_privlib/E*
%perl_vendor_privlib/auto/*

%changelog
* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 2.29-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 2.25-alt1
- regenerated from template by package builder

* Thu Jun 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.24-alt1
- initial import by package builder

